Title"Route 1 Tutorial"
Ask"Welcome to Route 1.  This is an online tutorial}{which will help you to learn to use Route 1 and}{some of its basic features.  Press Ok to advance}{each page or Cancel to abort any time.  The next page}{contains four different tutorials from which you may}{choose."

:beginning:
List(%1)"Using Route 1|SubMenus|Special features|Writing Scripts"
If %1="0" Then goto tutorial1
If %1="1" Then goto tutorial2
If %1="2" Then goto tutorial3
If %1="3" Then goto tutorial4
Exit

:tutorial1:
Ask"Route 1 consists of a row of buttons (initially placed}{vertically on the right side of your screen).  Each}{button performs a specific task and each button can}{be moved or configured to your taste."
Ask"At first you'll see about a dozen buttons.  Most}{of them are application buttons (press the yellow}{pad to start NotePad) and the rest are special}{intrinsic buttons.  Notice the clock and memory}{display buttons.  Try out each of the buttons and}{then press the topmost half-sized button to access}{the configuration menu."
Ask"The System menu allows you to exit and restart}{Windows and close Route 1.  The Config menu}{allows you to configure Route 1 in any way.  The}{question mark opens the online help.  Press Cancel}{to close the menu and return to the ButtonBar.  Select}{Apps from the Config menu to add your first new}{button."
Ask"You'll see in this and most other Route 1 boxes}{a small question mark [?] button.  Press it to get}{help on any control you see by clicking the button}{and then dragging the big question mark onto a}{control.  Double-click the help button to access}{the detailed help file.
Ask"What is shown here is a list of the configured}{buttons and several options.  You can press <Point>}{with the mouse to point to a button on the bar or}{select one from the list in order to edit or remove}{that button.  Instead let's press Add Item to add a}{new button to the bar."
Ask"You'll see a box entitled New Button Properties.  This}{is the same box used if you are editing an existing}{button except that this box is empty.  Press Browse}{to search your hard disk for a new application.  Let's}{add Solitaire to the end of the bar.  Solitaire should be}{in your Windows directory.  Select the drive and}{directory on which Windows is installed."
Ask"Now click on SOL.EXE in the listbox to the left.  Press}{Accept to enter this application into the Properties}{box.  Press Accept again to continue on to icon}{selection."
Ask"You will now see the Choose Icon box.  If you do not see any icons}{press Look In EXE to extract the Solitaire icon or press <R1>}{to show the hand-drawn icons included with Route 1.  Click}{on any icon and press Accept to select it.  You should now be}{returned to the Application Configuration box."
Ask"You will notice that the ButtonBar is NOT updated instantly.  To}{save your changes and/or additions press Accept.  When the box}{closes press Continue to close the menu.  Now any and all}{changes to the ButtonBar from any of the configuration boxes}{will take effect."
Ask"Since you did not specify a target position for the new button}{it is automatically placed at the end of the bar.  With the}{RIGHT-MOUSE BUTTON drag (click and hold) the new button}{and drop (let go) it onto a new location.  Although buttons}{cannot be dragged off of the bar files from File Manager}{and FileFolders (included) can be drag-dropped onto}{Route 1."
Ask"You'll see a button on the bar that looks like four small}{buttons.  The left-arrow allows you to browse your}{hard disk and launch a file.  The up-arrow collapses}{Route 1 into a single small button.  The question mark}{allows you to get help on any button on the bar (press}{F1 for full help).  The small button labelled EXIT exits}{Windows."
Ask"That's it for basic Route 1 operations!  Press Ok}{to return to the tutorial menu or Cancel to quit."
goto beginning

:tutorial2:
Ask"In addition to the buttons on the ButtonBar applications}{can be organized into SubMenus.  Each SubMenu}{can be opened by pressing a button and each button}{that opens a SubMenu has a small 'notch' in the lower}{left-hand corner.  Find a SubMenu button and press}{it.  Once the SubMenu is displayed you can select}{an item to launch it or press the red button in the}{top-left to close it."
Ask"Let's create a new SubMenu.  Press the top-most}{half-sized button on the ButtonBar to access}{the menu.  Select Apps from the Config menu.  When}{the Application Configuration box opens press}{Add Item.  The Item Properties box will now be}{displayed.  Select the third option to the left}{so that the light next to SubMenu is red."
Ask"In the textbox entitled SubMenu Name type a name}{like 'Tools'.  Next press Edit SubMenu to open the}{SubMenu Editor.  The SubMenu editor is simply a}{text editor which contains all of the entries.  There}{is one entry per line and each line has two}{parts with the following format:}{       [name]command}{       [name]command"
Ask"       [name]command}{        [name]command}{The name in brackets specifies what appears in the}{SubMenu and the command afterwards specifies what}{action is taken when that SubMenu item is selected.  This}{format has many advantages but for now just select}{Add Program from the file menu.  When you select a}{file from your hard disk it will be inserted into the}{SubMenu.  Select a file and press Accept."
Ask"Next you are asked to select a name to appear in}{the SubMenu.  Type in whatever is applicable.  For}{instance if you selected SOL.EXE then type in Solitaire}{for the name and press Accept.  The name and file}{are inserted into the appropriate format.  Repeat this}{process until you are finished.  You may also simply}{type in the entries once you are familiar with the}{format."
Ask"Additionally you can select Sort from the Tools}{menu to sort the entries alphabetically or select}{Insert Divider to Split up groups of entries.  Select}{Help for more details on features and more}{suggestions.  Select Save from the File menu and}{then press Accept in the Button properties box to}{continue."
Ask"Finally select an icon for the SubMenu (you}{probably will have to press the R1 button to}{display the icons included with Route 1).  Press}{Accept once this is done.  Press Accept in the}{Application Configuration box and press Continue}{in the menu."
Ask"The ButtonBar will be updated and you can}{press it's button to open it.  You can edit the}{SubMenu in the same way in which you created}{it or you can open it and double-click on its title-bar}{as a shortcut.  That's it for SubMenus!  Press Ok}{to return to the tutorial menu or Cancel to quit."
goto beginning

:tutorial3:
List(%2)"Built-In Buttons|WindowGrab|Positioning Route 1"
If %2="0" Then goto sub1
If %2="1" Then goto sub2
If %2="2" Then goto sub3
goto beginning
:sub1:
Ask"Route 1 has many special features that set it apart}{from other shells and mere application launchers.  In}{addition to button that start applications Route 1 also}{has (among other things) a clock (analog or digital}{with a calendar) and a memory display (free ram}{and system resources)."
Ask"To add one of these press the top-most half-sized}{button on the ButtonBar to open the menu and select}{Apps from the Config menu.  Press Add Item to open}{up the Button Properties box.  Of the four light}{controls to the left select the one that reads 'Built-In}{Buttons.'  You are shown five options used to insert}{the desired one.  Those greyed out are already installed."
Ask"Here are what each of the Built-In Buttons do:}{   Function Buttons -}{        launch button; quick-help button; ButtonBar}{        collapse button; exit Windows button}{   Analog Clock -}{        round clock with hands}{   Digital Clock / Calendar -}{        digital clock with date}{   Memory Display -}{        system resource (%) display with graph}{        free RAM display}{   Eyes -}{        two eyes that follow the mouse cursor."
goto tutorial3
:sub2:
Ask"WindowGrab is a new feature that allows you to insert}{an application by clicking on its window (provided that}{it's running along side Route 1.)  Start by opening the}{application you wish to add (either with Route 1 or}{Program Manager).  Press the top-most half-sized button}{on the ButtonBar to open the menu and select Apps from}{the Config menu."
Ask"Press <Grab> and move the mouse cursor around the}{screen.  Notice that moving over a window highlights}{it and displays its title next to the <Grab> button.  Click}{on it (you might have to click more than once) to insert}{it at the end of the list.  If that application is already in}{the list it will be replaced.  This has the same final effect}{as pressing Add Item except that Add Item will duplicate}{an item if it exists.  Grab also has one more unique}{advantage."
Ask"When an application is 'Grabbed' its window's size and}{position are recorded and a command is appended to the}{item to restore that particular size and position the next}{time the button is pressed.  The command is rather cryptic}{but it is not necessary to understand it to use it."
Ask"Pressing press 'Edit Item' to bring up the Button Properties}{box on this item will only display the application information.}{The grabbed information is hidden except for a option at}{the bottom-right allowing you to retain or throw away the}{command.  Press the small button labeled 'Edit' to edit}{the command (but use caution!).  See ROUTE1.HLP and}{search for 'Grab' for help with using the positioning}{command with SubMenus and Scripts."
goto tutorial3
:sub3:
Ask"Route 1 is very flexible with how it positions itself on}{the desktop.  Use the right-mouse button on the top-}{most half-sized 'ControlButton' to drag the ButtonBar}{around the desktop.  To have Route 1 save this postion}{Left-click the ControlButton to open the menu and}{select Options from the Config menu.  Press Advanced...}{to display the Advanced Options and scroll about half-}{way down the list.  Enabling 'Remember ButtonBar position'}{will save the dragged position.  Disabling it will make}{dragging the bar only temporary."
Ask"For more specific positioning open the menu and}{select Position from the Config menu.  The first}{control allows you select from two vertical and}{two horizontal positions.  The switch allows you}{to have larger buttons instead of the standard}{size.  Use the margins (horizontal and vertical)}{to specify the distance from the edge of the}{screen to hold Route 1.  The usefulness of this}{becomes apparent when you want Route 1 to}{'Float' above the other windows but not obscure}{them."
Ask"From the 'ButtonBar Status' list select one of the}{following states (invoked after launching an app.):}{   Normal -}{        do nothing}{   Collapsed -}{        the Bar is collapsed into the ControlButton}{        (same as pressing the [^] function button)}{   Minimized -}{        Route 1 is minimized as an icon}{   Remain on top -}{        The Bar floats above all other windows}{   Collapse on top -}{        the Bar is collapsed into the ControlButton}{        which floats above all other windows.  Use}{        this in conjunction with margins to place a}{        button in a maximized window's title bar."
goto tutorial3

:tutorial4:
Ask"Scripts contain a list of commands that are executed}{in order until the end of the file.  Route 1 scripts (those}{files with the extension .RS1) are designed to be simple}{and work similarly to DOS batch files with some features}{found only in programming languages.  No programming}{experience is required but more complicated scripts}{(like this tutorial) might be too difficult for those with no}{experience."
Ask"Scripts are text files and can be edited with any text}{editor.  Route 1 includes the Script Editor which makes}{script writing easier with online help and command}{inserters.  To open the Script Editor press the top-most}{half-sized button (ControlButton) on the ButtonBar and}{select Script Editor... from the Config menu.  When the}{Script Editor opens select New from the File menu."
Ask"A blank Script is opened and ready for writing.  Below the}{menu is a button bar containing 'command inserters.'  Each}{of these buttons inserts a command in the correct syntax}{so you do not have to remember.  Simply press a button and}{type in the specifics to complete a command.  Let's start}{with a simple script using only three different commands."
Ask"The Ask command displays a piece of text on the screen}{and allows the 'user' to press Accept to continue or}{Cancel to end the script.  Press the button labeled '>Ask'}{to insert the command.  The text cursor is automatically}{placed between the quotes so that you can type in the}{desired message.  Type in 'Hello World!' between the}{quotes."
Ask"Next press '>List' to insert the list command.  This displays}{a list of options from which the 'user' can choose one.  All}{you have to do is enter in the possible options.  Each option}{is separated by the pipe character ' | ' (shift - \ on most}{keyboards)  Type in three commands so the text between the}{quotes looks like this:}{     Time|Date|Exit}{with no spaces.  When the 'user' chooses an option the}{number of that choice is stored in the variable in the}{parenthesis.  By default the variable is % 1 but can be}{anything from % 1 to % 9."
Ask"Next we have to find out what the 'user' chose so we}{must use the If command.  The If command will run}{another command only if what you type is true.  Press}{the button labeled '>If' and type 0 (zero) between the}{quotes.  Zero corresponds to the first entry in the list;}{one to the second; and so on.  Complete the line so it}{looks like the following:}{     If % 1="0" Then Ask"% t"}{This says:  If the variable is equal to zero then display}{the current time (% t is a special variable that displays}{the time and % d similarly displays the date."
Ask"Press the '>If' button two more times and edit the lines}{so that they read:}{     If % 1="1" Then Ask"% d"}{     If % 1="2" Then Exit}{This will display the date if the 'user' selects the second}{item from the list and will exit the script if the 'user'}{selects the third option.  When you're finished select}{Save from the File menu and type in a filename so}{that your new script is saved in a file."
Ask"The entire Script should read as follows:}{}{     Ask"Hello World!"}{     List(% 1)"Time|Date|Quit"}{     If % 1="0" Then Ask"% t"}{     If % 1="1" Then Ask"% d"}{     If % 1="2" Then Exit}{}{This will display the message 'Hello World' and then}{a list with three options.  The time or date will then}{be displayed or the script will end depending on which}{option is chosen."
Ask"Select 'Test Script' from the Tools menu to test the}{script and see if it works.  You can also launch the}{saved file from Route 1.  Route 1 includes a slightly}{more complex script (TIMER.RS1) for you to study}{and customize.  See RS1ED.HLP for more on}{variables and script commands and launching files."
goto beginning

